Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
[Java] Class ExtendedVerifier

    java.lang.Object
      org.codehaus.groovy.classgen.ExtendedVerifier

All Implemented Interfaces:
  GroovyClassVisitor

    public class ExtendedVerifier
    extends java.lang.Object

A specialized Groovy AST visitor meant to perform additional verifications upon the current AST. Currently it does checks on annotated nodes and annotations itself.

Current limitations: - annotations on local variables are not supported

Authors:
  Alex Popescu

Field Summary
`static java.lang.String` | `JVM_ERROR_MESSAGE`

Constructor Summary
`ExtendedVerifier(SourceUnit sourceUnit)`

Method Summary
`protected void` | `addError(java.lang.String msg, ASTNode expr)`
`protected boolean` | `isAnnotationCompatible()` Check if the current runtime allows Annotation usage.
`protected void` | `visitAnnotations(AnnotatedNode node, int target)`
`void` | `visitClass(ClassNode node)`
`void` | `visitConstructor(ConstructorNode node)`
`void` | `visitField(FieldNode node)`
`void` | `visitGenericType(GenericsType genericsType)`
`void` | `visitMethod(MethodNode node)`
`void` | `visitProperty(PropertyNode node)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### JVM_ERROR_MESSAGE

    public static final java.lang.String JVM_ERROR_MESSAGE

Constructor Detail

### ExtendedVerifier

    public ExtendedVerifier(SourceUnit sourceUnit)

Method Detail

### addError

    protected void addError(java.lang.String msg, ASTNode expr)

### isAnnotationCompatible

    protected boolean isAnnotationCompatible()

  Check if the current runtime allows Annotation usage.
  Returns:
    true if running on a 1.5+ runtime

### visitAnnotations

    protected void visitAnnotations(AnnotatedNode node, int target)

### visitClass

    public void visitClass(ClassNode node)

### visitConstructor

    public void visitConstructor(ConstructorNode node)

### visitField

    public void visitField(FieldNode node)

### visitGenericType

    public void visitGenericType(GenericsType genericsType)

### visitMethod

    public void visitMethod(MethodNode node)

### visitProperty

    public void visitProperty(PropertyNode node)

Groovy Documentation